"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = require("path");
const pg_promise_1 = tslib_1.__importStar(require("pg-promise"));
const pgp = pg_promise_1.default();
exports.streamRead = pgp.spex.stream.read;
const sqlDir = path_1.join(__dirname, 'sql');
exports.SQLs = {
    crateSnapshot: new pg_promise_1.QueryFile(path_1.join(sqlDir, 'create_snapshot.sql'), { minify: true }),
    getLastBlockHeight: new pg_promise_1.QueryFile(path_1.join(sqlDir, 'get_last_block_height.sql'), { minify: true }),
    getMultisigPublicKeys: new pg_promise_1.QueryFile(path_1.join(sqlDir, 'get_multisig_public_keys.sql'), {
        minify: true,
    }),
};
exports.createDb = (config) => pgp({
    host: config.host,
    port: config.port,
    user: config.user,
    password: config.password,
    database: config.database,
});
exports.createSnapshot = async (db) => {
    await db.query(exports.SQLs.crateSnapshot);
};
exports.verifyConnection = async (db) => {
    const connectionObject = await db.connect({ direct: true });
    connectionObject.done();
};
//# sourceMappingURL=storage.js.map